List Emails
List all emails for the organization with cursor-based pagination.
GET
/emailsResend Compatibility: Compatible
Query Parameters
limitnumberMaximum number of results to return. Min 1, max 100. Default 10.
afterstringCursor for forward pagination. Pass the ID of the last item from the previous page.
beforestringCursor for backward pagination. Pass the ID of the first item from the previous page.
Response Fields
objectstringAlways "list".
has_morebooleanWhether there are more results available.
dataarrayArray of email objects (without html and text body content).
curl -X GET 'https://api.postflare.app/emails?limit=10' \
-H 'Authorization: Bearer re_xxxxxxxxx'import { Resend } from 'resend';
const resend = new Resend('re_xxxxxxxxx');
const { data, error } = await resend.emails.list();Response
{
"object": "list",
"has_more": false,
"data": [
{
"id": "49a3999c-0ce1-4ea6-ab68-afcd6dc2e794",
"to": ["user@example.com"],
"from": "Acme <hello@acme.com>",
"created_at": "2026-01-01T00:00:00.000Z",
"subject": "Hello World",
"bcc": [],
"cc": [],
"reply_to": [],
"last_event": "delivered",
"scheduled_at": null
}
]
}